<template>
    <div class="today-task">
      <h2>Today task</h2>
      <div class="task-filters">
        <button>All <span>10</span></button>
        <button>Important</button>
        <button>Notes <span>06</span></button>
        <button>Links <span>10</span></button>
      </div>
      
      <ul class="task-list">
        <li v-for="task in tasks" :key="task.id">
          <span class="icon-circle"></span>
          {{ task.name }}
          <span :class="'status ' + task.status.toLowerCase()">{{ task.status }}</span>
        </li>
      </ul>
    </div>
  </template>
  
  <script>
  export default {
    name: 'TodayTask',
    data() {
      return {
        tasks: [
          { id: 1, name: 'Create a user flow of social application design', status: 'Approved' },
          { id: 2, name: 'Create a user flow of social application design', status: 'In review' },
          { id: 3, name: 'Landing page design for Fintech project of singapore', status: 'In review' },
          { id: 4, name: 'Interactive prototype for app screens of deltamine project', status: 'On going' },
          { id: 5, name: 'Interactive prototype for app screens of deltamine project', status: 'Approved' },
        ]
      }
    }
  }
  </script>
  
  <style scoped>
  .today-task {
    padding: 1rem;
    background-color: #fff;
    border-radius: 10px;
  }
  
  .task-filters {
    display: flex;
    gap: 0.5rem;
    margin-bottom: 1rem;
  }
  
  .task-filters button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    transition: color 0.3s ease;
  }
  
  .task-filters button:hover {
    color: #007bff;  
  }
  
  .task-list {
    list-style-type: none;
    padding-left: 0;
  }
  
  .task-list li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.5rem 0;
  }
  
  .icon-circle {
    display: inline-block;
    width: 10px;
    height: 10px;
    background-color: red; 
    border-radius: 50%;
    margin-right: 1rem;
  }
  
  .status {
    padding: 0.25rem 0.5rem;
    border-radius: 10px;
  }
  
  .status.approved { background-color: green; color: #fff; }
  .status.inreview { background-color: orange; color: #fff; }
  .status.ongoing { background-color: blue; color: #fff; }
  </style>
  